> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a phone number profile

> Retrieves a WhatsApp business phone number's profile. Customers can view your business profile by clicking your business's name or number in a conversation thread.



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml get /whatsapp/phoneNumbers/{wabaId}/{phoneNumber}/profile
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /whatsapp/phoneNumbers/{wabaId}/{phoneNumber}/profile:
    get:
      tags:
        - WhatsApp Phone Numbers
      summary: Retrieve a phone number profile
      description: >-
        Retrieves a WhatsApp business phone number's profile. Customers can view
        your business profile by clicking your business's name or number in a
        conversation thread.
      operationId: whatsapp_phone_number-retrieve-profile
      parameters:
        - name: wabaId
          in: path
          description: WhatsApp Business Account ID.
          required: true
          schema:
            type: string
            example: whatsapp-business-account-id
        - name: phoneNumber
          in: path
          description: Phone number in [E.164](https://en.wikipedia.org/wiki/E.164) format.
          required: true
          schema:
            type: string
            example: '+16315551111'
      responses:
        '200':
          description: Successfully retrieved the object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsappPhoneNumberProfile'
        '404':
          description: The requested resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    WhatsappPhoneNumberProfile:
      type: object
      description: >-
        WhatsApp Phone Number Business Profile. Customers can view your business
        profile by clicking your business's name or number in a conversation
        thread.
      properties:
        about:
          type: string
          description: >-
            The business's **About** text. This text appears in the business's
            profile, beneath its profile image, phone number, and contact
            buttons.
          example: ABOUT
        ycloudName:
          type: string
          readOnly: true
          description: >-
            Optional remark name assigned to this phone number in YCloud. It is
            populated by the profile GET API and omitted when no remark name is
            set.
          example: Support line
        verifiedName:
          type: string
          description: The verified name
          example: verifiedName
        nameStatus:
          $ref: '#/components/schemas/WhatsappPhoneNumberNameStatus'
        newName:
          type: string
          description: The modified name
          example: John's Cake
        newNameStatus:
          $ref: '#/components/schemas/WhatsappPhoneNumberNameStatus'
        address:
          type: string
          maxLength: 256
          description: Address of the business. Character limit 256.
          example: ADDRESS
        description:
          type: string
          maxLength: 512
          description: Description of the business. Character limit 512.
          example: DESCRIPTION
        email:
          type: string
          maxLength: 128
          description: >-
            The contact email address (in valid email format) of the business.
            Character limit 128.
          example: tom@example.com
        profilePictureUrl:
          type: string
          description: URL of the profile picture used to upload to Meta.
          example: https://URL
        vertical:
          $ref: '#/components/schemas/WhatsappPhoneNumberProfileVertical'
        websites:
          type: array
          maxItems: 2
          description: >-
            The URLs associated with the business. For instance, a website,
            Facebook Page, or Instagram. You must include the http:// or
            https:// portion of the URL.

            There is a maximum of 2 websites with a maximum of 255 characters
            each.
          items:
            type: string
            maxLength: 255
            example: https://WEBSITE-1
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
          description: >-
            Contains the error code and human-readable message for the API
            error.
    WhatsappPhoneNumberNameStatus:
      type: string
      description: >-
        The review status of the current display name request. See also [Get
        Display Name
        Status](https://developers.facebook.com/docs/whatsapp/business-management-api/manage-phone-numbers#get-display-name-status--beta-).

        - `APPROVED`: The name has been approved. You can download your
        certificate now.

        - `AVAILABLE_WITHOUT_REVIEW`: The certificate for the phone is available
        and display name is ready to use without review.

        - `DECLINED`: The name has not been approved. You cannot download your
        certificate.

        - `EXPIRED`: Your certificate has expire and can no longer be
        downloaded.

        - `PENDING_REVIEW`: Your name request is under review. You cannot
        download your certificate.

        - `NONE`: No certificate is available.
      enum:
        - APPROVED
        - AVAILABLE_WITHOUT_REVIEW
        - DECLINED
        - EXPIRED
        - PENDING_REVIEW
        - NONE
    WhatsappPhoneNumberProfileVertical:
      type: string
      description: >-
        Industry of the WhatsApp phone number business profile. This can be
        either an empty string or one of the accepted values.
      example: OTHER
      enum:
        - OTHER
        - AUTO
        - BEAUTY
        - APPAREL
        - EDU
        - ENTERTAIN
        - EVENT_PLAN
        - FINANCE
        - GROCERY
        - GOVT
        - HOTEL
        - HEALTH
        - NONPROFIT
        - PROF_SERVICES
        - RETAIL
        - TRAVEL
        - RESTAURANT
    Error:
      type: object
      required:
        - status
        - code
      properties:
        status:
          type: integer
          format: int32
          pattern: '[45]\d{2}'
          description: >-
            HTTP status code, [RFC 7231, Section
            6](https://datatracker.ietf.org/doc/html/rfc7231#section-6). It
            conveys the HTTP status code used for the convenience of the
            consumer.
          example: 404
        code:
          type: string
          description: >-
            One of a server-defined error codes. Some `4xx` errors that could be
            handled programmatically include an error code that briefly explains
            the error reported.
          example: NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable representation of the error. It is intended as an
            aid to developers and is not suitable for exposure to end users.
          example: The requested resource does not exist.
        target:
          type: string
          description: The target of the error.
          example: ''
        docUrl:
          type: string
          description: A URL to more information about the error.
          example: ''
        requestId:
          type: string
          description: >-
            Each API request has an associated request ID. It conveys the
            response header `YCloud-Request-ID` used for the convenience of the
            consumer.
          example: req_1KjtKI80IKoaJNa6n6p
        whatsappApiError:
          $ref: '#/components/schemas/WhatsappApiError'
          description: >-
            The original error object returned by WhatsApp. See [Handling
            Errors](https://developers.facebook.com/docs/graph-api/guides/error-handling),
            [Cloud API Error
            Codes](https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes).


            Note: This field is returned if we tried to request the WhatsApp
            Business API and got an error response.
        metaBusinessAgentApiError:
          $ref: '#/components/schemas/MetaBusinessAgentApiError'
          description: >-
            Sanitized upstream details returned when a Meta Business Agent
            request fails.
    WhatsappApiError:
      type: object
      description: >-
        The original error object returned by WhatsApp. See [Handling
        Errors](https://developers.facebook.com/docs/graph-api/guides/error-handling),
        [Cloud API Error
        Codes](https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes).
      required:
        - message
        - code
      properties:
        message:
          type: string
          description: A human-readable description of the error.
          example: HSM Template creation failed
        code:
          type: string
          description: An error code.
          example: 200002
        type:
          type: string
          description: Error type.
          example: OAuthException
        is_transient:
          type: boolean
          description: Whether the error is transient.
          example: false
        error_subcode:
          type: string
          description: Additional code about the error.
          example: 2388109
        error_user_msg:
          type: string
          description: >-
            The message to display to the user. The language of the message is
            based on the locale of the API request.
          example: This message template cannot be created.
        error_user_title:
          type: string
          description: >-
            The title of the dialog, if shown. The language of the message is
            based on the locale of the API request.
          example: Message Cannot Be Submitted
        fbtrace_id:
          type: string
          description: >-
            Internal support identifier. When reporting a bug related to a Graph
            API call, include the fbtrace_id to help us find log data for
            debugging.
          example: AVGjJ7ia2zJkrHG
        error_data:
          description: >-
            Additional data about the error. A string or map.

            - For template APIs, this field is a string describing the reason
            for the error.

            - For message APIs, this field is a map with property `details`
            describing the reason for the error.
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
    MetaBusinessAgentApiError:
      type: object
      description: Sanitized details from a failed Meta Business Agent upstream request.
      properties:
        title:
          type: string
        detail:
          type: string
        type:
          type: string
        status:
          type: integer
          format: int32
        requestId:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.